Subject: bug#59251: 29.0.50; Fix-some-inconsistencies-in-ts-modes

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Nov 2022 20:59:34 +0200

> Cc: [email-masked]
> Date: Sun, 13 Nov 2022 21:42:19 +0100
> From:  Theodor Thornhill via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> BTW, should we do the same thing we did with js-mode - add a js-ts-mode
> and don't change the js.el file at all?  We could either go the same
> route as c-ts-mode, where we define both c and c++ in the same file, or
> keep them separate.  What do you think?

>From my POV, it is best not to introduce new modes if that is
possible.  That way, we minimize confusion and allow users to adapt
more easily.  Only where the new mode is radically different from the
old one and cannot be easily be an optional addition to the old one,
is a completely new mode justified.